
QGIS Application - Bug report #9203

R Plots are blank on qgis64bit

2013-12-11 11:40 AM - Raphael Vanderstichel

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17831

Description

The 'results viewer' shows empty 'R plots'.  This problem is very similar to what was reported 1 year ago (Bug #5882), where we can get

shapefiles and rasters as outputs (eg Minimum Convex Polygon - 'Home Range Analysis' group), but not plots generated by R.  A good

example is when we tried the 'G Function' in the 'Point Pattern Analysis' group that is available as a default R script.

In the temporary folder (or set output folder), we get two files: *.html and *.html.png.  The *.html.png produces a very small image (~5kb)

of the plot.  This plot cannot be seen or copied from the 'results viewer'.

Details:

Windows 8.1 (x64)

QGIS 2.0.1 (x64)

Processing 2.0-20131120

R 3.0.2 (x64)

Related issues:

Related to QGIS Application - Bug report # 7643: Empty console Output on R, u... Closed 2013-04-18

History

#1 - 2013-12-12 03:12 AM - Giovanni Manghi

- Status changed from Open to Feedback

duplicate of #7643 ?

#2 - 2013-12-12 05:33 AM - Raphael Vanderstichel

- Assignee changed from Victor Olaya to Giovanni Manghi

The issue does seem to be similar to #7643, however, there are no solutions yet.  From comments in #7643, I have tried installing an older version of R

(2.15.3) and re-assigning the R folder in the 'processing' options to R 2.15.3, but this did not solve the problem.  I also looked into the \\.qgis2\\processing

folder to find potential 'rlib' files, but these are no longer here and I suspect this changed after the move from SEXTANTE to 'processing'.  Another

suggestion was to use the package R2HTML - this I am not so keen on because it will mean modifying every R script that requires a graphs.

I am willing to try other suggestions.

#3 - 2013-12-12 04:05 PM - Filipe Dias

I think this bug is specific to the 64 bits version. Can you retry with the 32 bits version?
#4 - 2013-12-13 11:25 AM - Raphael Vanderstichel

Yes, I can confirm that this problem is specific to the 64-bit version of QGIS.  I ran both versions (32 and 64 bit) in a virtual machine (Win 7 x64) and had no

issues with the 32-bit version, but repeated the issue in the 64-bit version.  I also tried the 32-bit version of QGIS in a virtual machine with Win 8.0 x64 and

had no problems plotting graphs, while it was with my 64-bit version of QGIS in Win 8.1 x64 that I first noticed the issue.

Unfortunately, I cannot switch to the 32-bit QGIS (Win 8.1 x64) because I ran into a more serious issue with GRASS, where it would simply crash after the

first operation (in GRASS (standalone), within QGIS, and within the Processing plugin).

I am still willing to try solutions within virtual machines to help with the debugging of the plotting issue within the Processing plugin.  I really like this plugin

and think this is a necessary tool for spatial analysis.

#5 - 2013-12-14 01:35 AM - Giovanni Manghi

- Assignee changed from Giovanni Manghi to Victor Olaya

- Subject changed from R Plots are blank to R Plots are blank on qgis64bit

- Status changed from Feedback to Open

Filipe Dias wrote:

I think this bug is specific to the 64 bits version. Can you retry with the 32 bits version?

does this happen only on Windows or Linux too?

#6 - 2013-12-14 01:37 AM - Giovanni Manghi

Unfortunately, I cannot switch to the 32-bit QGIS (Win 8.1 x64) because I ran into a more serious issue with GRASS, where it would simply crash

after the first operation (in GRASS (standalone), within QGIS, and within the Processing plugin).

this is another issue. If it GRASS standalone crashes for some reason then it is normal it does not work in the qgis plugin or processing toolbox.

How GRASS was installed, using the qgis standalone installer? osgeo4w? what is the module that makes it crash?

I really like this plugin and think this is a necessary tool for spatial analysis.

yes, in fact it is not a plugin anymore, is part of qgis now.

#7 - 2013-12-14 07:30 AM - Filipe Dias

does this happen only on Windows or Linux too?

On Linux it works as expected.

#8 - 2013-12-16 10:18 AM - Raphael Vanderstichel
I haven't tried it on Linux, nor will I in the near future.

I had installed QGIS as a standalone (not osgeo4w).  Every command made it crash.  Strangely though, I could load layers from the database, but as soon

as I ran a command, a windows shell window opened and closed quickly (could not read any text within it), and then it stopped responding.  Examples of

commands I tried - v.buffer.dist and v.distance.

#9 - 2013-12-16 10:22 AM - Giovanni Manghi

I had installed QGIS as a standalone (not osgeo4w).  Every command made it crash.  Strangely though, I could load layers from the database, but

as soon as I ran a command, a windows shell window opened and closed quickly (could not read any text within it), and then it stopped responding.

 Examples of commands I tried - v.buffer.dist and v.distance.

processing works overall ok on Windows standalone/osgeo4w, and what you are experiencing can be a local issue. A screencast would help try

understand what it is going on.

#10 - 2014-04-14 02:02 AM - Filipe Dias

- Priority changed from Normal to Severe/Regression

Since this prevents users to use some R scripts in QGIS 64 bits I'm changing the priority to Blocker.

#11 - 2014-06-09 05:54 AM - Giovanni Manghi

- Priority changed from Severe/Regression to High

Filipe Dias wrote:

Since this prevents users to use some R scripts in QGIS 64 bits I'm changing the priority to Blocker.

I'm changing this to non-blocker for different reasons:

a blocker means a regression, this should not be the case, and then processing can be always updated as plugin update, so I don't think that even a huge

issue should block a qgis release.

#12 - 2014-06-09 06:03 AM - Filipe Dias

I believe this qualifies as blocker because it is a functionality that doesn't work as expected. It is not technically a regression because it never worked

properly, but it's a problem that usually frustrates users and leads them to conclude "the R integration doesn't work".

#13 - 2014-06-09 06:09 AM - Giovanni Manghi

Filipe Dias wrote:

I believe this qualifies as blocker because it is a functionality that doesn't work as expected. It is not technically a regression because it never

worked properly, but it's a problem that usually frustrates users and leads them to conclude "the R integration doesn't work".
I understand Filipe, but it is not a regression and when fixed it can always be updated as a plugin. In my point of view then processing issues should never

be blockers, especially if during the pre-release period there is now one actively working on them.

#14 - 2014-10-04 11:55 AM - Giovanni Manghi

- Project changed from 78 to QGIS Application

- Crashes QGIS or corrupts data set to No

- Category deleted (66)

- Affected QGIS version set to 2.4.0

#15 - 2014-10-04 11:55 AM - Giovanni Manghi

- Category set to 124

#16 - 2015-04-14 01:22 AM - Håvard Tveite

The fix reported in #7643 works for me with QGIS 2.8.1 from OSGeo4W64.

After deleting the processing directory in .qgis2/python/plugins,

plots were generated as expected by for instance the "F Function" and

the "G Function".

#17 - 2015-04-14 02:16 AM - Filipe Dias

- Status changed from Open to Closed

#18 - 2017-05-01 10:58 AM - Giovanni Manghi

- Regression? set to No

#19 - 2017-05-01 11:01 AM - Giovanni Manghi

- Easy fix? set to No

#20 - 2017-05-01 11:04 AM - Giovanni Manghi

Some providers are being removed from QGIS/Processing (will be available as plugin) and so are their categories in the bug tracker. To not leave them

orphaned of a category they are being reassigned to processing/core.

#21 - 2017-05-01 11:06 AM - Giovanni Manghi

- Category changed from 124 to Processing/Core
